var t = getApp(), a = wx.createInnerAudioContext();

Page({
    data: {
        columnId: "",
        type: "",
        speedStep: 5,
        waitFlag: !1,
        configMode: "2",
        dataList: [],
        count: 2,
        isLoadMore: !1,
        imgUrl: t.baseUrls.baseCardUrl,
        isRefresh: !1,
        title: "栏目内容"
    },
    onLoad: function(t) {
        console.log(t.mode), this.setData({
            columnId: t.id,
            configMode: t.mode,
            type: t.type,
            title: t.title
        }), wx.setNavigationBarTitle({
            title: t.title
        }), this.getList();
    },
    onShow: function() {
        this.data.isRefresh && (wx.startPullDownRefresh({}), this.setData({
            isRefresh: !1
        }));
    },
    getList: function() {
        var a = this;
        wx.showLoading({
            title: "加载中..."
        }), t.http.get(t.urls.getMomentsList.format({
            configColumnId: a.data.columnId
        }), {
            header: {
                token: t.globalData.token
            },
            data: {
                backSystem: "backSystem"
            }
        }).then(function(i) {
            wx.hideLoading({}), i.data.forEach(function(i) {
                i.list.forEach(function(i) {
                    switch (i.dataType) {
                      case "2":
                        var e = i.value.split("@"), s = e[0].split(",");
                        e.length > 1 ? i.dataMode = e[1] : i.dataMode = "1";
                        for (var n = [], r = 0; r < s.length; r++) if ("" != s[r]) {
                            var d = {
                                path: a.data.imgUrl + s[r],
                                imgPath: "../../../images/ic_temp.png"
                            };
                            n.push(d);
                        }
                        i.valueList = n;
                        break;

                      case "4":
                        for (s = i.value.split(","), n = [], r = 0; r < s.length; r++) if ("" != s[r]) {
                            var o = s[r].split("&");
                            d = {
                                path: t.baseUrls.baseCardUrl + o[0],
                                imgPath: t.baseUrls.baseCardUrl + o[1]
                            };
                            n.push(d);
                        }
                        i.valueList = n;
                        break;

                      case "6":
                        for (s = i.value.split("-"), n = [], r = 0; r < s.length; r++) if ("" != s[r]) {
                            var u = s[r].split(",");
                            d = {
                                latitude: u[0],
                                longitude: u[1]
                            };
                            n.push(d);
                        }
                        i.valueList = n;
                        break;

                      case "3":
                        for (s = i.value.split(","), n = [], r = 0; r < s.length; r++) if ("" != s[r]) {
                            var l = "00:00";
                            if ((o = s[r].split("&")).length > 1) {
                                var c = o[1], h = parseInt(c / 60), L = parseInt(c % 60);
                                l = (h > 9 ? h : "0" + h) + ":" + (+L > 9 ? L : "0" + L);
                            }
                            d = {
                                path: a.data.imgUrl + o[0],
                                isPlay: !1,
                                duration: 100,
                                curDuation: 0,
                                curDurationStr: "00:00",
                                totalDurationStr: l
                            };
                            n.push(d);
                        }
                        i.valueList = n;
                        break;

                      case "8":
                        i.dictionariesList.forEach(function(t) {
                            -1 != i.value.indexOf(t.dataId) && (i.selValue = t.dataName);
                        });
                        break;

                      case "9":
                        i.dictionariesList.forEach(function(t) {
                            -1 != i.value.indexOf(t.dataId) ? t.isSel = !0 : t.isSel = !1;
                        });
                    }
                });
            }), a.setData({
                dataList: i.data
            }), wx.stopPullDownRefresh({});
        }).catch(function(t) {
            console.log(t), wx.stopPullDownRefresh({});
        });
    },
    toggleHandler: function(t) {
        for (var a = t.currentTarget.dataset.index, i = 0; i < this.data.trendsList.length; i++) a == i && (this.data.trendsList[a].auto = !0, 
        this.data.trendsList[a].seeMore = !1);
        this.setData({
            trendsList: this.data.trendsList
        });
    },
    toggleContent: function(t) {
        for (var a = t.currentTarget.dataset.index, i = 0; i < this.data.trendsList.length; i++) a == i && (this.data.trendsList[a].auto = !0, 
        this.data.trendsList[a].seeMore = !0);
        this.setData({
            trendsList: this.data.trendsList
        });
    },
    viewImg: function(t) {
        wx.previewImage({
            urls: [ t.currentTarget.dataset.url ]
        });
    },
    viewVideo: function(t) {
        var a = t.currentTarget.dataset.url;
        wx.previewMedia({
            sources: [ {
                url: a,
                type: "video"
            } ]
        });
    },
    onPullDownRefresh: function() {
        this.getList();
    },
    onReachBottom: function() {
        console.log("触底了");
    },
    play: function(t) {
        var i = t.currentTarget.dataset.index, e = t.currentTarget.dataset.item, s = t.currentTarget.dataset.idx, n = t.currentTarget.dataset.i, r = this;
        r.data.dataList.forEach(function(t) {
            t.list.forEach(function(t) {
                t.valueList && t.valueList.forEach(function(t) {
                    t.isPlay && a.stop(), t.isPlay = !1, t.curDuation = 0, t.curDuationStr = "00:00";
                });
            });
        }), e.isPlay || ((a = wx.createInnerAudioContext()).src = r.data.dataList[i].list[s].valueList[n].path, 
        a.autoplay = !0), a.onPlay(function() {
            r.data.dataList[i].list[s].valueList[n].isPlay = !0, r.setData({
                dataList: r.data.dataList
            });
        }), a.onCanplay(function(t) {}), a.onStop(function(t) {
            r.data.dataList[i].list[s].valueList[n].isPlay = !1, r.data.dataList[i].list[s].valueList[n].curDuration = 0, 
            r.data.dataList[i].list[s].valueList[n].curDurationStr = "00:00", r.setData({
                dataList: r.data.dataList
            });
        }), a.onEnded(function(t) {
            r.data.dataList[i].list[s].valueList[n].isPlay = !1, r.data.dataList[i].list[s].valueList[n].curDuration = 0, 
            r.data.dataList[i].list[s].valueList[n].curDurationStr = "00:00", r.setData({
                dataList: r.data.dataList
            });
        }), a.onError(function(t) {
            r.data.dataList[i].list[s].valueList[n].isPlay = !1, r.data.dataList[i].list[s].valueList[n].curDuration = 0, 
            r.data.dataList[i].list[s].valueList[n].curDurationStr = "00:00", r.setData({
                dataList: r.data.dataList
            });
        }), a.onSeeking(function() {
            console.log(a.currentTime);
        }), a.onWaiting(function() {}), a.onTimeUpdate(function() {
            if (a.duration != 1 / 0) {
                r.data.dataList[i].list[s].valueList[n].curDuration = parseInt(a.currentTime), r.data.dataList[i].list[s].valueList[n].duration = parseInt(a.duration);
                var t = parseInt(a.currentTime / 60), e = parseInt(a.currentTime % 60), d = parseInt(a.duration / 60), o = parseInt(a.duration % 60), u = t > 9 ? t : "0" + t, l = e > 9 ? e : "0" + e, c = d > 9 ? d : "0" + d, h = +o > 9 ? o : "0" + o;
                r.data.dataList[i].list[s].valueList[n].curDurationStr = u + ":" + l, r.data.dataList[i].list[s].valueList[n].totalDurationStr = c + ":" + h, 
                r.setData({
                    dataList: r.data.dataList
                });
            }
        });
    },
    rewind: function(t) {
        var i = t.currentTarget.dataset.index, e = t.currentTarget.dataset.item, s = t.currentTarget.dataset.idx, n = t.currentTarget.dataset.i;
        e.isPlay && (this.data.dataList[i].list[s].valueList[n].curDuration = this.data.dataList[i].list[s].valueList[n].curDuration - this.data.speedStep, 
        a.seek(this.data.dataList[i].list[s].valueList[n].curDuration), this.setData({
            dataList: this.data.dataList
        }));
    },
    speed: function(t) {
        var i = t.currentTarget.dataset.index, e = t.currentTarget.dataset.item, s = t.currentTarget.dataset.idx, n = t.currentTarget.dataset.i;
        e.isPlay && (this.data.dataList[i].list[s].valueList[n].curDuration = this.data.dataList[i].list[s].valueList[n].curDuration + this.data.speedStep, 
        a.seek(this.data.dataList[i].list[s].valueList[n].curDuration), this.setData({
            dataList: this.data.dataList
        }));
    },
    slider4change: function(t) {
        t.currentTarget.dataset.index;
        t.currentTarget.dataset.item.isPlay && a.seek(t.detail.value);
    },
    delItem: function(t) {
        var a = this;
        wx.showModal({
            title: "提示",
            content: "确定要删除该条数据吗?",
            cancelText: "取消",
            confirmText: "确定",
            success: function(i) {
                i.confirm && a.doDelMoment(t.currentTarget.dataset.index);
            }
        });
    },
    doDelMoment: function(a) {
        var i = this;
        wx.showLoading({
            title: "删除中..."
        });
        var e = this.data.dataList[a];
        t.http.delete(t.urls.doDelMoment.format({
            configColumnId: this.data.columnId,
            uid: e.uid
        }), {
            header: {
                token: t.globalData.token
            }
        }).then(function(t) {
            wx.hideLoading({}), wx.showToast({
                title: "删除成功",
                icon: "success"
            }), i.data.dataList.splice(a, 1), i.setData({
                dataList: i.data.dataList
            }), wx.startPullDownRefresh({});
        }).catch(function(t) {
            console.log(t), wx.hideLoading({});
        });
    },
    doPublish: function() {
        wx.navigateTo({
            url: "../publish/momentpublishline?id=" + this.data.columnId + "&title=" + this.data.title
        });
    },
    editMoment: function(t) {
        var a = this.data.dataList[t.currentTarget.dataset.index];
        wx.navigateTo({
            url: "../edit/momentedit?id=" + this.data.columnId + "&uid=" + a.uid + "&title=" + this.data.title
        });
    },
    onUnload: function(t) {
        a && a.stop();
    }
});