var a = getApp();

Page({
    data: {
        imgUrl: a.baseUrls.baseCardUrl,
        cardList: [],
        otherCardList: [],
        historyList: [],
        tab: 0,
        oldArr: [],
        token: "",
        page: {
            rows: 10,
            page: 1
        },
        topHeight: a.globalData.CustomBar,
        isRefresh: !1,
        isDelPage: !1,
        tabList: [ {
            name: "我的名片"
        }, {
            name: "他人名片"
        }, {
            name: "浏览历史"
        } ],
        pageType: null,
        id: ""
    },
    onLoad: function(t) {
        this.setData({
            token: a.globalData.token,
            pageType: t.type,
            id: t.id
        }), this.getList();
    },
    onShow: function() {
        this.data.isRefresh && (this.setData({
            isRefresh: !1
        }), wx.startPullDownRefresh({}));
    },
    getList: function() {
        var t = this;
        wx.showLoading({
            title: "加载中..."
        }), wx.showNavigationBarLoading(), a.http.get(a.urls.getMyCard, {
            header: {
                token: a.globalData.token
            },
            data: {}
        }).then(function(a) {
            wx.hideLoading({}), t.setData({
                cardList: a.data
            }), a.data.length > 0 && t.data.isDelPage && (t.setData({
                isDelPage: !1
            }), t.setDefaultCard(a.data[0].cardTemplateUseId)), wx.hideNavigationBarLoading(), 
            wx.stopPullDownRefresh();
        }).catch(function(t) {
            wx.hideLoading({}), wx.hideNavigationBarLoading(), wx.stopPullDownRefresh();
        });
    },
    goDetail: function(t) {
        var a = t.currentTarget.dataset.id;
        wx.navigateTo({
            url: "../myCardDetail/myCardDetail?id=" + a + "&type=" + this.data.pageType + "&taskId=" + this.data.id
        });
    },
    getOtherCard: function() {
        wx.showLoading({
            title: "加载中..."
        });
        var e = this;
        a.http.get(a.urls.otherCardList, {
            header: {
                token: a.globalData.token
            },
            data: {}
        }).then(function(a) {
            var s;
            wx.hideLoading({}), wx.stopPullDownRefresh({}), a.data.rows.length > 0 ? (s = e.data.otherCardList.concat(a.data.rows), 
            e.setData({
                otherCardList: s
            })) : e.setData(t({}, page.page, e.data.page.page - 1));
        }).catch(function(t) {
            wx.hideLoading({}), wx.stopPullDownRefresh({});
        });
    },
    getHistory: function() {
        wx.showLoading({
            title: "加载中..."
        });
        var e = this;
        a.http.get(a.urls.getBrowseHistoryList, {
            header: {
                token: a.globalData.token
            }
        }).then(function(a) {
            var s;
            if (wx.hideLoading({}), wx.stopPullDownRefresh({}), a.data.rows.length > 0) s = e.data.historyList.concat(a.data.rows), 
            e.setData({
                historyList: s
            }); else {
                e.setData(t({}, "_self.data.page.page", e.data.page.page - 1));
            }
        }).catch(function(t) {
            wx.hideLoading({}), wx.stopPullDownRefresh({}), console.log(t);
        });
    },
    changeTab: function(t) {
        var a = t.detail.index;
        this.data.tab != a && (this.setData({
            tab: a
        }), 0 == a ? (this.setData({
            cardList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getList()) : 1 == a ? (this.setData({
            otherCardList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getOtherCard()) : 2 == a && (this.setData({
            historyList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getHistory()));
    },
    toggleTop: function(t) {
        var e = this, s = t.currentTarget.dataset.bag, i = t.currentTarget.dataset.top;
        i = "0" == i, a.http.put(a.urls.setTop.format({
            cardTemplateUseBagId: s,
            cardTemplateUseTop: i
        }), {
            header: {
                token: a.globalData.token
            },
            data: {}
        }).then(function(t) {
            console.log(t.data), wx.showToast({
                title: "设置成功！"
            }), e.setData({
                otherCardList: []
            }), e.getOtherCard();
        });
    },
    onPullDownRefresh: function() {
        "0" == this.data.tab ? (this.setData({
            cardList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getList()) : "1" == this.data.tab ? (this.setData({
            otherCardList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getOtherCard()) : "2" == this.data.tab && (this.setData({
            historyList: [],
            page: {
                rows: 10,
                page: 1
            }
        }), this.getHistory());
    },
    onReachBottom: function() {
        1 == this.data.tab && (this.setData(t({}, page.page, this.data.page.page++)), this.getOtherCard());
    },
    showCard: function(t) {
        wx.navigateTo({
            url: "../otherCard/othercarddetail?cardTemplateUseId=" + t.currentTarget.dataset.id
        });
    },
    setDefaultCard: function(t) {
        a.http.put(a.urls.setDefaultCard.format({
            cardTemplateUseId: t
        }), {
            header: {
                token: this.data.token
            }
        }).then(function(t) {
            wx.startPullDownRefresh({});
        }).catch(function(t) {});
    }
});