var a = getApp();

Page({
    data: {
        token: a.globalData.token,
        sourceUrl: a.baseUrls.sourceUrl,
        content: "",
        imageList: [],
        videoId: "",
        serviceUrl: a.baseUrls.serviceUrl,
        baseImgUrl: a.baseUrls.baseImgUrl,
        userIcon: "",
        userName: "",
        isLoading: !1
    },
    submitNewTalk: function() {
        var e = this;
        if (!e.data.isLoading) {
            var t = "";
            if (e.data.imageList.length > 0) for (var o = 0; o < e.data.imageList.length; o++) o != e.data.imageList.length - 1 ? t += e.data.imageList[o] + "," : t += e.data.imageList[o];
            var s = {
                content: e.data.content,
                video: e.data.videoId,
                videoCover: "",
                photo: t,
                headPortrait: e.data.userIcon,
                nickName: e.data.userName,
                areaCode: wx.getStorageSync("areaCode")
            };
            e.setData({
                isLoading: !0
            }), a.restAjax.post(a.restAjax.path(a.apis.submitTalk, [ a.baseUrls.requestUrl ]), s, {
                headers: {
                    token: a.globalData.token
                }
            }, function(a, t) {
                "200" == a && (wx.showToast({
                    title: "发布成功！",
                    icon: "success"
                }), setTimeout(function() {
                    e.setData({
                        isLoading: !1
                    }), wx.navigateBack({
                        delta: 1
                    });
                }, 1500));
            }, function(a, t) {
                console.log(t), e.setData({
                    isLoading: !1
                });
            });
        }
    },
    uploadImage: function() {
        var e = this;
        e.data.isLoading || (e.setData({
            isLoading: !0
        }), wx.chooseImage({
            count: 9 - e.data.imageList.length,
            sourceType: [ "album", "camera" ],
            success: function(t) {
                wx.showToast({
                    title: "上传中",
                    icon: "loading"
                });
                for (var o = 0; o < t.tempFiles.length; o++) {
                    var s = t.tempFiles[o].path;
                    a.restAjax.file(a.restAjax.path(a.apis.uploadImg, [ a.baseUrls.serviceUrl ]), s, "image", {
                        headers: {
                            token: a.globalData.token
                        }
                    }, function(a, t) {
                        if ("200" == a) {
                            e.setData({
                                isLoading: !1
                            });
                            var o = JSON.parse(t).data, s = e.data.imageList;
                            s.push(o), e.setData({
                                imageList: s
                            }), wx.hideToast();
                        }
                    }, function(a, t) {
                        console.log(t), e.setData({
                            isLoading: !1
                        });
                    });
                }
            }
        }));
    },
    uploadVideo: function() {
        var e = this;
        e.data.isLoading || (e.setData({
            isLoading: !0
        }), wx.chooseVideo({
            sourceType: [ "album", "camera" ],
            success: function(t) {
                a.restAjax.file(a.restAjax.path(a.apis.uploadVideo, [ a.baseUrls.serviceUrl ]), t.tempFilePath, "video", {
                    headers: {
                        token: a.globalData.token
                    }
                }, function(a, t) {
                    if ("200" == a) {
                        e.setData({
                            isLoading: !1
                        });
                        var o = JSON.parse(t).data;
                        e.setData({
                            videoId: o
                        });
                    }
                }, function(a, t) {
                    console.log(t), e.setData({
                        isLoading: !1
                    });
                });
            }
        }));
    },
    deleteImg: function(a) {
        var e = a.currentTarget.dataset.cur, t = this.data.imageList;
        t.splice(e, 1), this.setData({
            imageList: t
        });
    },
    deleteVideo: function() {
        this.setData({
            videoId: ""
        });
    },
    onLoad: function(e) {
        this.setData({
            token: a.globalData.token
        });
    },
    onReady: function() {},
    onShow: function() {
        this.setData({
            userIcon: wx.getStorageSync("userIcon"),
            userName: wx.getStorageSync("name")
        });
    },
    onHide: function() {},
    onUnload: function() {},
    onPullDownRefresh: function() {},
    onReachBottom: function() {},
    onShareAppMessage: function() {}
});