var baseUrls = {
  baseImgUrl: "route/file/download/true/",
  requestUrl: "https://www.wlcbsyzl.cn/systemmunicipalmini/",
  communityUrl: "https://www.wlcbsyzl.cn/populationhouse/",
  serviceUrl: "https://www.wlcbsyzl.cn/usercenter/",
  caseUrl: "https://www.wlcbsyzl.cn/case/",
  sourceUrl: "https://www.wlcbsyzl.cn/systemmunicipalmini/assets/weCharMiniFile/images/",
  baseCardUrl: "https://www.wlcbsyzl.cn/citycard/route/file/download/true/",
  // baseCardUrl: "http://192.168.0.115:8089/citycard/route/file/download/true/",
  url: "https://www.wlcbsyzl.cn/citycard/"
  // url: "http://192.168.0.115:8089/citycard/"
}

 


var apis = {
  doLogin: "{baseUrl}wechat-miniapp/sign/default",
  getCommunityList: "{baseUrl}app/community/list",
  getCommunityListPage: "{baseUrl}app/community/listpagecommunity",
  joinCommunity: "{baseUrl}app/joinCommunity/save",
  getArea: "{baseUrl}app/area/listbyparentid/{areaId}",
  getHouse: "{baseUrl}app/residential/list",
  mycommunity: "{baseUrl}app/joinCommunity/list",
  quitCommunity: "{baseUrl}app/joinCommunity/remove/{ids}",
  getDictionary: "{baseUrl}app/data/listbyparentid/{dataParentId}",
  getResidential: "{baseUrl}app/residential/get/{residentialId}",
  submitCheckIn: "{baseUrl}app/partymemberreport/save",
  getOrg: "{baseUrl}app/organization/save",
  uploadImg: "{baseUrl}app/file/uploadimage",
  uploadVideo: "{baseUrl}app/file/uploadvideo",
  uploadAudio: "{baseUrl}app/file/uploadaudio",
  submitSettle: "{baseUrl}app/organization/save",
  getOrgList: "{baseUrl}app/organization/listpageorganization",
  getMineOrg: "{baseUrl}app/organization/myorganize",
  doUpdateOrg: "{baseUrl}app/organization/updateorganization/{organizationId}",
  submitHelp: "{baseUrl}app/neighbor/save",
  getHelpList: "{baseUrl}app/neighbor/listpageneighbor",
  getHelpDetail: "{baseUrl}app/neighbor/get/{neighborId}",
  doReplyHelp: "{baseUrl}app/neighborcomment/save",
  getReplyList: "{baseUrl}app/neighborcomment/list",
  submitTalk: "{baseUrl}app/triflemyself/save",
  getTalkList: "{baseUrl}app/triflemyself/listpagetriflemyself",
  getTalkDetail: "{baseUrl}app/triflemyself/get/{trifleMyselfId}",
  replyTalk: "{baseUrl}app/comment/save",
  getTalkReplyList: "{baseUrl}app/comment/list",
  submitNeighborCircle: "{baseUrl}app/neighborcircle/save",
  getCircleList: "{baseUrl}app/neighborcircle/listpageneighborcircle",
  getCircleDetail: "{baseUrl}app/neighborcircle/get/{neighborCircleId}",
  submitCircleReply: "{baseUrl}app/neighborcirclecomment/save",
  getCircleReplyList: "{baseUrl}app/neighborcirclecomment/list",
  circleClickGood: "{baseUrl}app/neighborcirclefabulous/save",
  getCircleGoodCount: "{baseUrl}app/neighborcirclefabulous/count",
  circleIsClicked: "{baseUrl}app/neighborcirclefabulous/has-fabulous/{neighborCircleId}",
  cancelGood: "{baseUrl}app/neighborcirclefabulous/cancel/{ids}",
  getTalkGoodCount: "{baseUrl}app/fabulous/count",
  talkIsClicked: "{baseUrl}app/fabulous/has-fabulous/{neighborCircleId}",
  talkClickPeople: "{baseUrl}app/fabulous/listpagefabulous",
  talkClickGood: "{baseUrl}app/fabulous/save",
  talkCancelGood: "{baseUrl}app/fabulous/cancel/{ids}",
  getNewsType: "{baseUrl}app/newstype/list",
  getNewsList: "{baseUrl}app/news/listpagenews",
  getNewsDetail: "{baseUrl}app/news/get/{newsId}",
  submitNewsReply: "{baseUrl}app/newscomment/save",
  getNewsReplyList: "{baseUrl}app/newscomment/list",
  isCollectNews: "{baseUrl}app/newscollection/has-collection/{newsId}",
  doCollectNews: "{baseUrl}app/newscollection/save",
  cancelCollectNews: "{baseUrl}app/newscollection/cancel/{ids}",
  getDefaultSyzlCard: "{baseUrl}app/card/get-default",


  getChildArea: "{baseUrl}app/area/listallbyparentid/{areaParentId}",
  caseType: "{baseUrl}app/casetype/list-ztree",
  caseTypeChild: "{baseUrl}app/casetype/listall-byparentid",
  submitReport: "{baseUrl}app/report/save-miniapp",
  getHelpCount: "{baseUrl}app/neighbor/count",
  getCardSyzlDetail: "{baseUrl}app/card/get/{cardId}",
  submitCreateCard: "{baseUrl}app/card/save",
  doUpdateCard: "{baseUrl}app/gridmini/updategridmini/{gridMiniId}",
  isCheckedIn: "{baseUrl}app/partymemberreport/has-report/{community}",
  checkGrid: "{baseUrl}app/gridmini/authentication",
  getGridListPage: "{baseUrl}app/gridmini/listpagegridmini",
  getGridList: "{baseUrl}app/gridmini/list",
  myCaseList: "{baseUrl}app/report/listpage-me",
  getLog: "{baseUrl}app/reportlog/list-activity/{businessId}",
  myCaseDetail: "{baseUrl}app/report/get/{reportId}",
  updateCaseStatus: "{baseUrl}app/report/updatereport/{reportId}",
  handleCase: "{baseUrl}app/reporthandle/save",
  getHandleList: "{baseUrl}app/reporthandle/list",
  getGirdDetail: "{baseUrl}app/gridmini/get/{gridMiniId}",
  caseRedundancies: "{baseUrl}app/report/reassignment/{reportId}",
  getMineIsGrid: "{baseUrl}app/gridmini/isGridUser",
  getBtnIsShow: "{baseUrl}app/btnshow/getbytype/{type}",
  doUploadImg: "app/file/uploadimage",
  doUploadVideo: "app/file/uploadvideo",
  doUploadAudio: "app/file/uploadaudio",
  getMenuList: "app/cardconfigcolumngroup/list",
  getMomentsList: "app/configcolumndata/list/{configColumnId}",
  doSaveMoments: "app/configcolumndata/save/{configColumnId}",
  getMomentsField: "app/configcolumndata/listfield/{configColumnId}",
  doDelMoment: "app/configcolumndata/delete/{configColumnId}/{uid}",
  getMomentsContent: "app/configcolumndata/get/{configColumnId}/{uid}",
  getMainColumn: "app/cardconfigcolumn/listhome",
  getColumnListByGroupId: "app/cardconfigcolumn/list",
  getMainMoment: "app/configcolumndata/list/{configColumnId}",
  getMineColumnList: "app/configcolumnset/list",
  doSaveColumnDisplay: "app/configcolumnset/savedisplay",
  doSaveColumnName: "app/configcolumnset/savename",
  doOrderColumn: "app/configcolumnset/saveorder",
  doSaveCollect: "app/contentcollect/save",
  doSaveLike: "app/contentlike/save",
  getPosterFavorList: "app/cardtemplate/mylistposter",
  getColumnContentHandle: "app/contentcomment/countlist/{projectId}/{businessIds}",
  doSaveComment: "app/contentcomment/save",
  getCommentList: "app/contentcomment/listpagerelease/{projectId}/{businessId}",
  doDelComment: "app/contentcomment/remove/{ids}",
  getCardList: "app/cardtemplate/list",
  getCardDetail: "app/cardtemplate/get/{cardTemplateId}",
  creatCard: "app/cardtemplateuse/save",
  getFileId: "app/pictruestemplatearea/createfile/{picturesTemplateAreaId}",
  getMyCard: "app/cardtemplateuse/list",
  getMyCardDetail: "app/cardtemplateuse/get/{cardTemplateUseId}",
  updateMyCard: "app/cardtemplateuse/update/{cardTemplateUseId}",
  setDefaultCard: "app/cardtemplateuse/default/{cardTemplateUseId}",
  deleteCard: "app/cardtemplateuse/remove/{ids}",
  getDefaultCard: "app/cardtemplateuse/getdefault",
  getBrowUserCard: "app/cardtemplateuse/getdefault/{userId}",
  shareRecord: "app/cardtemplatedispatch/save",
  checkRecord: "app/cardtemplatescans/save",
  shareCard: "app/cardtemplateuse/getdispatch/{cardTemplateUseId}",
  includedCard: "app/cardtemplateusebag/save",
  otherCardList: "app/cardtemplateusebag/listpage",
  setTop: "app/cardtemplateusebag/updatetop/{cardTemplateUseBagId}/{cardTemplateUseTop}",
  getCardUseId: "app/cardtemplatedispatch/get/{cardTemplateDispatchId}",
  getBrowseHistoryList: "app/cardtemplatescans/listpage/1",
  getCardBrowUserList: "app/cardtemplatescans/listhome",
  getDictionaryList: "app/data/listallbyparentid/{dataParentId}",
  getAreaDictionaryList: "app/area/listbyparentid/{areaParentId}",
  getPayState: "app/cardcharge/getprice",
}



//   a(e, "), a(e, "),
//   a(e, "), a(e, "),
//   a(e, "), a(e, ""),
//   a(e, "), a(e, "),
//   a(e, "), a(e, "),
//   a(e, "), a(e, "),
//   a(e, "), a(e, "),
//   a(e, "), a(e, ),
//   a(e, "getGirdDetail", "{baseUrl}app/gridmini/get/{gridMiniId}"), a(e, "caseRedundancies", "{baseUrl}app/report/reassignment/{reportId}"),
//   a(e, "getMineIsGrid", "{baseUrl}app/gridmini/isGridUser"), a(e, "getBtnIsShow", "{baseUrl}app/btnshow/getbytype/{type}"),
//   a(e, "doUploadImg", "app/file/uploadimage"), a(e, "doUploadVideo", "app/file/uploadvideo"),
//   a(e, "doUploadAudio", "app/file/uploadaudio"), a(e, "getMenuList", "app/cardconfigcolumngroup/list"),
//   a(e, "getMomentsList", "app/configcolumndata/list/{configColumnId}"), a(e, "doSaveMoments", "app/configcolumndata/save/{configColumnId}"),
//   a(e, "getMomentsField", "app/configcolumndata/listfield/{configColumnId}"), a(e, "doDelMoment", "app/configcolumndata/delete/{configColumnId}/{uid}"),
//   a(e, "getMomentsContent", "app/configcolumndata/get/{configColumnId}/{uid}"), a(e, "getMainColumn", "app/cardconfigcolumn/listhome"),
//   a(e, "getColumnListByGroupId", "app/cardconfigcolumn/list"), a(e, "getMainMoment", "app/configcolumndata/list/{configColumnId}"),
//   a(e, "getMineColumnList", "app/configcolumnset/list"), a(e, "doSaveColumnDisplay", "app/configcolumnset/savedisplay"),
//   a(e, "doSaveColumnName", "app/configcolumnset/savename"), a(e, "doOrderColumn", "app/configcolumnset/saveorder"),
//   a(e, "doSaveCollect", "app/contentcollect/save"), a(e, "doSaveLike", "app/contentlike/save"),
//   a(e, "getPosterFavorList", "app/cardtemplate/mylistposter"), a(e, "getColumnContentHandle", "app/contentcomment/countlist/{projectId}/{businessIds}"),
//   a(e, "doSaveComment", "app/contentcomment/save"), a(e, "getCommentList", "app/contentcomment/listpagerelease/{projectId}/{businessId}"),
//   a(e, "doDelComment", "app/contentcomment/remove/{ids}"), a(e, "getCardList", "app/cardtemplate/list"),
//   a(e, "getCardDetail", "app/cardtemplate/get/{cardTemplateId}"), a(e, "creatCard", "app/cardtemplateuse/save"),
//   a(e, "getFileId", "app/pictruestemplatearea/createfile/{picturesTemplateAreaId}"),
//   a(e, "getMyCard", "app/cardtemplateuse/list"), a(e, "getMyCardDetail", "app/cardtemplateuse/get/{cardTemplateUseId}"),
//   a(e, "updateMyCard", "app/cardtemplateuse/update/{cardTemplateUseId}"), a(e, "setDefaultCard", "app/cardtemplateuse/default/{cardTemplateUseId}"),
//   a(e, "deleteCard", "app/cardtemplateuse/remove/{ids}"), a(e, "getDefaultCard", "app/cardtemplateuse/getdefault"),
//   a(e, "getBrowUserCard", "app/cardtemplateuse/getdefault/{userId}"), a(e, "shareRecord", "app/cardtemplatedispatch/save"),
//   a(e, "checkRecord", "app/cardtemplatescans/save"), a(e, "shareCard", "app/cardtemplateuse/getdispatch/{cardTemplateUseId}"),
//   a(e, "includedCard", "app/cardtemplateusebag/save"), a(e, "otherCardList", "app/cardtemplateusebag/listpage"),
//   a(e, "setTop", "app/cardtemplateusebag/updatetop/{cardTemplateUseBagId}/{cardTemplateUseTop}"),
//   a(e, "getCardUseId", "app/cardtemplatedispatch/get/{cardTemplateDispatchId}"), a(e, "getBrowseHistoryList", "app/cardtemplatescans/listpage/1"),
//   a(e, "getCardBrowUserList", "app/cardtemplatescans/listhome"), a(e, "getDictionaryList", "app/data/listallbyparentid/{dataParentId}"),
//   a(e, "getAreaDictionaryList", "app/area/listbyparentid/{areaParentId}"), a(e, "getPayState", "app/cardcharge/getprice"),
//   e);

module.exports = {
  apis,
  baseUrls
}